# 証明書ファイルのパス
param (
    [string]$crtFilePath
)
# ファイルの存在を確認
if (Test-Path $crtFilePath) {
    try {

		# 証明書を読み込み
		$cert = New-Object System.Security.Cryptography.X509Certificates.X509Certificate2
		$cert.Import($crtFilePath)

		# 有効期限を取得
		$notBefore = $cert.NotBefore.ToString("yyyy/MM/dd")
		$notAfter = $cert.NotAfter.ToString("yyyy/MM/dd")
		$currentDate = Get-Date

		# 結果を配列として出力
		$results = @(
			"$notBefore"
			"$notAfter"
		)

		# 配列をカンマ区切りで出力
		$results -join ','

    } catch {
        Write-Host "Cert file read ERROR"
    }
} else {
    Write-Host "Cert file ERROR"
}